#!/bin/sh
if [ "$#" = 0 ] ; then
	echo tlmpweb.test.sh rel-path [ http args ]
else
	unset LD_PRELOAD
	if [ "$1" = "gdb" ] ; then
		GDB=gdb
		shift
	fi
	dir=`dirname $1`
	if [ ! -d /home/httpd/html/$dir ] ; then
		echo sub-dir $dir does not exist
	else
		cd /home/httpd/html/$dir
		echo cd /home/httpd/html/$dir
		export PATH_INFO=/$1
		export PATH_TRANSLATED=/home/httpd/html/$1
		export QUERY_STRING="$2"
		export DOCUMENT_ROOT=/home/httpd/html
		$GDB /home/httpd/cgi-bin/tlmpweb
		#$GDB ./tlmpweb
	fi
fi


