#include <stdio.h>
#include <string.h>
#include <time.h>
#include "tlmpweb.h"


/*
	Record the value of a cookie
*/
void web_setcookie (const char *name, const char *value, time_t expire)
{
	struct tm *t = gmtime (&expire);
	// Thursday, 01-Jan-70 00:00:10 GMT
	char timestr[200];
	strftime (timestr,sizeof(timestr)-1,"%A, %d-%b-%Y %H:%M:%S GMT",t);
	printf ("Set-Cookie: %s=%s; expires=%s\r\n",name,value,timestr);
}

int _F_websession::load()
{
	return 0;
}
int _F_websession::save()
{
	return 0;
}

void _F_websession::setrealm(const char *realm)
{
	printf ("realm=%s\r\n",realm);
}

static W_SSTRING user ("user");

void websession(_F_websession &c)
{
	if (user.is_empty()){
		c.auth();
	}else{
		c.logged();
	}
}



